Page MenuHomePhabricator

{{{pagenum}}} should be substituted with a Roman number if specified
Closed, ResolvedPublic

Description

We have an option to use the "roman" style if the <pagelist/> definition. In this case I would expect {{{pagenum}}} to be substituted with a Roman number (I, II, III, IV etc).


Version: unspecified
Severity: minor

Details

Reference
bz51106

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:08 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz51106.
bzimport added a subscriber: Unknown Object (MLST).
DixonD created this task.Jul 10 2013, 11:39 AM
GOIII added a comment.Sep 20 2014, 1:31 AM

Is this still an issue (if it ever was)?

Seems like this has been the normal behavior (on en.WS) for as long as I can remember now - whatever the type (or character) assigned in the <pagelist /> for a source file's page (or position) is the same when transcluded to the main namespace as well as generated in the Page: namespace when {{{pagenum}}} is an input of the Index: template's header or footer field(s).

Maybe this is not Wikisource wide but language-domain specific?

Change 161649 had a related patch set uploaded by Tpt:
Adds a test to be sure that {{{pagenum}}} is replaced by a roman number if needed

https://gerrit.wikimedia.org/r/161649

Change 161649 merged by jenkins-bot:
Adds a test to be sure that {{{pagenum}}} is replaced by a roman number if needed

https://gerrit.wikimedia.org/r/161649

Tpt added a comment.Sep 20 2014, 10:57 AM

Was fixed long time ago and a unit test have just been added in order to avoid any regressions in the future.

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:48 AM
Restricted Application added a subscriber: Base. · View Herald TranscriptJun 12 2016, 3:48 AM